<div class="preprocessing-annotation-container">
  <mat-checkbox
    class="preprocessing-annotation-item"
    color="primary"
    [value]="annotation.id"
    [checked]="selected"
    [disabled]="disabled"
    matTooltip="Checkbox is not ready yet"
    [matTooltipDisabled]="!disabled"
    (change)="onCheckboxChange($event)">
  </mat-checkbox>
  <b
    class="preprocessing-annotation-item text-clamp"
    [matTooltip]="annotation | annotationToString"
    [appCopyToClipboard]="annotation">
    {{annotation?.name | uppercase}}
  </b>
  <button
    class="preprocessing-annotation-item"
    mat-icon-button
    matTooltip="Zoom to annotation"
    (click)="zoomToAnnotation.emit(annotation)">
    <mat-icon>filter_center_focus</mat-icon>
  </button>
  <button
    class="preprocessing-annotation-item"
    mat-icon-button
    [matTooltip]="hidden ? 'Show annotation' : 'Hide annotation'"
    (click)="onHideClicked()">
    <mat-icon>{{hidden ? 'visibility_off'  : 'visibility'}}</mat-icon>
  </button>
</div>
